%define anolis_release 2

%bcond_with check

Name: python-routes
Version: 2.5.1
Release: %{anolis_release}%{dist}

Summary: Routing Recognition and Generation Tools

# tests/test_functional/test_recognition.py is BSD, not shipped in main RPM.
License: MIT
URL: https://github.com/bbangert/routes
Source0: https://pypi.io/packages/source/R/Routes/Routes-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(webob)
BuildRequires: python3dist(six)

%global _description\
Routes is a Python re-implementation of the Rails routes system for mapping\
URL's to Controllers/Actions and generating URL's. Routes makes it easy to\
create pretty and concise URL's that are RESTful with little effort.'

%description %_description

%package -n python3-routes
Summary: %{summary}
%py_provides python3-routes

%description -n python3-routes %_description

%package -n python3-routes-doc
Summary:        Documentation files for %{name}
Requires:       python3-routes = %{EVR}
BuildArch:      noarch

%description -n python3-routes-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Routes-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with check}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
%endif

%generate_compatibility_deps

%files -n python3-routes
%license LICENSE.txt
%{python3_sitelib}/*

%files -n python3-routes-doc
%doc README.rst CHANGELOG.rst docs

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.5.1-2
- Rebuild with python3.11

* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.5.1-1
- Init package from upstream
